- Qt 5.15
- Qt 3D
- C++ Classes
- QNodeCreatedChangeBase
- Qt 5.15.19 Reference Documentation

# QNodeCreatedChangeBase Class

class Qt3DCore::QNodeCreatedChangeBase

The QNodeCreatedChangeBase class is the base class for all NodeCreated QSceneChange events. More...

Header: | #include <Qt3DCore/QNodeCreatedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange
Inherited By: | Qt3DAnimation::QChannelMappingCreatedChangeBase, Qt3DAnimation::QClipBlendNodeCreatedChangeBase, Qt3DCore::QNodeCreatedChange, Qt3DInput::QPhysicalDeviceCreatedChangeBase, and Qt3DRender::QFrameGraphNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

| QNodeCreatedChangeBase(const QNode *node)
bool | isNodeEnabled() const
const QMetaObject * | metaObject() const
QNodeId | parentId() const

## Related Non-Members

typedef | QNodeCreatedChangeBasePtr

## Detailed Description

The QNodeCreatedChangeBase class is the base class for all QSceneChange events that have the changeType() NodeCreated. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QNodeCreatedChange.

You can subclass this to create your own node update types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### QNodeCreatedChangeBase::QNodeCreatedChangeBase(const QNode *node)

Constructs a new QNodeCreatedChangeBase with node.

### bool QNodeCreatedChangeBase::isNodeEnabled() const

Returns node enabled.

### const QMetaObject *QNodeCreatedChangeBase::metaObject() const

Returns metaobject.

### QNodeId QNodeCreatedChangeBase::parentId() const

Returns parent id.

## Related Non-Members

### typedef QNodeCreatedChangeBasePtr

A shared pointer for QNodeCreatedChangeBase.